<nav class="navbar navbar-default">
    <div class="container-fluid">
        <div class="navbar-header">
            <a [routerLink]="['/']" class="navbar-brand">Recipe Book</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <!--<li><a href="#" (click)="onSelect('recipe')">Recipies</a></li>-->
                <!--<li><a href="#" (click)="onSelect('shopping-list')">Shopping list</a></li>-->
                <li routerLinkActive="active"><a [routerLink]="['recipe']">Recipies</a></li>
                <li routerLinkActive="active"><a [routerLink]="['shopping-list']">Shopping list</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <ng-template [ngIf]="!auth.isAuthenticate()">
                    <li routerLinkActive="active" class="pull-right"><a [routerLink]="['register']">Register</a></li>
                    <li routerLinkActive="active" class="pull-right"><a [routerLink]="['login']">Login</a></li>
                </ng-template>
                <ng-template [ngIf]="auth.isAuthenticate()">
                    <li><a (click)="onLogout()">Logout</a></li>
                    <li class="dropdown" appDropdown >
                        <a style="cursor:pointer" class="dropdown-toggle"> Manage <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a style="cursor:pointer" (click)="saveData()">Save data</a></li>
                            <li><a style="cursor:pointer" (click)="getData()">fetch data</a></li>
                        </ul>
                    </li>
                </ng-template>

            </ul>
        </div>
    </div>
</nav>
